Windows build: Rename zip to `etherpad-win.zip`

This commit is contained in:
Richard Hansen 2022-05-12 20:14:45 -04:00
parent 77edcebc99
commit e71f69ec72
5 changed files with 10 additions and 10 deletions

View File

@ -44,7 +44,7 @@ jobs:
run: src/bin/buildForWindows.sh
-
name: Extract the .zip into folder
run: 7z x etherpad-lite-win.zip -oetherpad-lite-new
run: 7z x etherpad-win.zip -oetherpad-lite-new
-
name: Grab nsis config
run: git clone https://github.com/ether/etherpad_nsis.git

View File

@ -49,8 +49,8 @@ jobs:
name: Archive production artifacts
uses: actions/upload-artifact@v3
with:
name: etherpad-lite-win.zip
path: etherpad-lite-win.zip
name: etherpad-win.zip
path: etherpad-win.zip
deploy:
# run on pushes to any branch
@ -68,10 +68,10 @@ jobs:
name: Download zip
uses: actions/download-artifact@v3
with:
name: etherpad-lite-win.zip
name: etherpad-win.zip
-
name: Extract Etherpad
run: 7z x etherpad-lite-win.zip -oetherpad
run: 7z x etherpad-win.zip -oetherpad
-
uses: actions/setup-node@v3
with:

2
.gitignore vendored
View File

@ -1,9 +1,9 @@
/etherpad-win.zip
node_modules
/settings.json
!settings.json.template
APIKEY.txt
SESSIONKEY.txt
etherpad-lite-win.zip
var/dirty.db
*~
*.patch

View File

@ -19,7 +19,7 @@ workdir=$(try git rev-parse --show-toplevel) || exit 1
try cd "${workdir}"
[ -f src/package.json ] || fatal "failed to cd to etherpad root directory"
OUTPUT=${workdir}/etherpad-lite-win.zip
OUTPUT=${workdir}/etherpad-win.zip
TMP_FOLDER=$(try mktemp -d) || exit 1
@ -27,7 +27,7 @@ log "create a clean environment in $TMP_FOLDER..."
try cp -ar . "$TMP_FOLDER"
try cd "$TMP_FOLDER"
try rm -rf node_modules
try rm -f etherpad-lite-win.zip
try rm -f etherpad-win.zip
# setting NODE_ENV=production ensures that dev dependencies are not installed,
# making the windows package smaller

View File

@ -145,12 +145,12 @@ function push_builds {
cd $TMP_DIR/etherpad-lite/
echo "Copying windows build and docs to website repo..."
GIT_SHA=$(git rev-parse HEAD | cut -c1-10)
mv etherpad-lite-win.zip $TMP_DIR/ether.github.com/downloads/etherpad-lite-win-$VERSION-$GIT_SHA.zip
mv etherpad-win.zip $TMP_DIR/ether.github.com/downloads/etherpad-win-$VERSION-$GIT_SHA.zip
mv out/doc $TMP_DIR/ether.github.com/doc/v$VERSION
cd $TMP_DIR/ether.github.com/
sed -i "s/etherpad-lite-win.*\.zip/etherpad-lite-win-$VERSION-$GIT_SHA.zip/" index.html
sed -i "s/etherpad-win.*\.zip/etherpad-win-$VERSION-$GIT_SHA.zip/" index.html
sed -i "s/$LATEST_GIT_TAG/$VERSION/g" index.html
git checkout -b release_$VERSION
[[ $? != 0 ]] && echo "Aborting: Error creating new release branch" && exit 1